Page MenuHomePhabricator

Spike: Current state of burndown in Phab
Closed, ResolvedPublic

Description

Timebox: 2hrs

  • set up dummy projects to test against
  • do burndown charts render a truthful and clear representation of what's happening in a sprint? EG are all story points in the sprint represented there? if we close a task as done, does the line on the burndown chart go down?
  • are charts easy to access and to find?
  • what happens if you add a task to a sprint after the sprint has started?
  • if we decline a task after it's been pulled into a sprint, what happens to the burndown line?
  • what happens if a task belongs to more than one project?
  • are the known issues with brundowns in phabricator tracked somewhere? is someone working on them?

Result: write-up sent to TPG mailing list

Event Timeline

Awjrichards assigned this task to KLans_WMF.
Awjrichards raised the priority of this task from to High.
Awjrichards updated the task description. (Show Details)
Awjrichards added a project: Team-Practices.
Awjrichards added subscribers: Awjrichards, ggellerman.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2015, 8:35 PM
Awjrichards updated the task description. (Show Details)Feb 9 2015, 8:36 PM
Awjrichards set Security to None.

Let's get this done before we meet with Damon on Friday, Feb 13

@KLans_WMF perhaps we should try to do this testing against http://phab08.wmflabs.org/project/sprint since that's likely to be released to production phab soon

testing against http://phab08.wmflabs.org/project/sprint since that's likely to be released to production phab soon

FYI that deployment is tracked in T86772 (Feb 18 or one week later).
Tempted to join meeting today but too late for me. :(

@Awjrichards fortunately I have been testing against phab08! Yay! Will add results here shortly, I also have some feedback fro Christopher which I'll present on the email thread about the extension.

  • set up dummy projects to test against: see https://phab08.wmflabs.org/project/sprint/board/30/ Note that I am testing the version of the sprint extension to be released to phabricator.wikimedia.org on 02/19/15
  • do burndown charts render a truthful and clear representation of what's happening in a sprint? EG are all story points in the sprint represented there? if we close a task as done, does the line on the burndown chart go down? yes, yes, and yes.
  • are charts easy to access and to find? insofar as one is somewhat familiar with Phab UI, yes. If this gets worked on, it will be even easier: https://phabricator.wikimedia.org/T89249
  • What happens if you add a task to a sprint after the sprint has started? The burndown chart has a line for start points. When a new task is added or removed at any point in the sprint, the start points line adjusts, and the remaining points line adjusts as well. I don’t think that this behavior is ideal. Start points should stay fixed as a representation of what the team committed to at the sprint kickoff, and the remaining points line should move based on tasks added or removed. This is a known issue, and I have commented on it: https://phabricator.wikimedia.org/T89305
  • if we decline a task after it's been pulled into a sprint, what happens to the burndown line? see above
  • What happens if a task belongs to more than one project? This works fine, as far as I can tell; task states (columns) and burndown data are available per project and are independent of associated projects. See this project for real life examples of tasks in two or more projects https://phabricator.wikimedia.org/T86266
  • Are the known issues with burndowns in phabricator tracked somewhere? is someone working on them? https://phabricator.wikimedia.org/tag/§_phabricator-sprint-extension/

Awesome stuff, thanks @KLans_WMF; and thanks for the head's up about the deployment date @Aklapper

Also sent results to TPG internal mailing lists, for the record.

Awjrichards closed this task as Resolved.Mar 2 2015, 9:04 PM